@import "src/styleguide";

.dashboard {
  font-family: $sans-font-family;
  font-size: 14px;

  .badges {
    margin-top: 0.5rem;
    > span {
      vertical-align: -webkit-baseline-middle;
    }
    .mat-badge {
      #mat-badge-content-1 {
        background: #e53935;
      }
      #mat-badge-content-2 {
        background: #f97d09;
      }
      #mat-badge-content-3 {
        background: #278d27;
      }
    }
  }

  #chartdiv {
    width: 100%;
    height: 366px;
    // margin-bottom: 0.4rem;
  }

  #riskPieChartdiv {
    width: 100%;
    height: 180px;
    margin-bottom: 0.4rem;
  }

  #tgPieChartdiv {
    width: 100%;
    height: 180px;
    // margin-bottom: 0.4rem;
  }

  .proj-table {
    // height: 360px;
    overflow: auto;
  }

  td.mat-cell:first-of-type,
  td.mat-footer-cell:first-of-type,
  th.mat-header-cell:first-of-type {
    padding-left: 1px !important;
  }

  .mat-table {
    width: 100%;
    margin-bottom: 1rem;
    tr:nth-child(even) {
      background-color: $off-white;
    }
    td {
      padding: 0.5rem;
    }
    td.wideContent {
      width: 250px;
    }
  }

  .no-preview {
    position: absolute;
    top: 65%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    font-size: 1.5rem;
    > img {
      top: 50%;
    }
    > p {
      // background-color: #c19a7b;
      color: #e1b58d;
    }
  }

  .filter {
    margin: 1.5em 0 0 0;
  }

  .mat-raised-button {
    margin-left: 1rem;
  }

  .delayed {
    color: $red;
    font-weight: bold;
    font-style: italic;
  }

  .success {
    color: $green;
    font-weight: bold;
    font-style: italic;
  }
}
